Bug 147565 - cpuspeed threshold too low, machine unnecessarily sluggish
cpuspeed threshold too low, machine unnecessarily sluggish
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cpuspeed (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jarod Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-09 07:18 EST by Frank Ch. Eigler
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-09 10:40:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2005-02-09 07:18:55 EST
The default <threshold> parameter (second arg to -p) is too low.
At 25%, it's too aggressive in slowing the CPU, should a
momentary lull in activity come.  During plain GUI
interaction like dragging windows around, or running a
mixed CPU+IO-intensive job like a compressed backup, the
defaults turn CPU speeds down too eagerly.

With a threshold setting of 80% for example, the machine feels
snappier. It stays at a high cpuspeed if there is some activity,
and still lets it go slow if a user is just sitting there.

Please try it out, and consider changing the default.

kernel-utils-2.4-13.1.49_FC3
Comment 1 Frank Ch. Eigler 2005-02-09 07:22:47 EST
By the way, my reference machine is a 3GHz P4, which can scale clock
speeds from 10%-100%, which is perhaps a wider range than others see.
I currently run cpuspeed with "-d -i 2 -p 20 80" and this results in
a satisfactory throttling behavior.
Comment 2 Marius Andreiana 2006-02-15 13:38:58 EST
Any news on this? Some applications are using CPU 100%, but /proc/cpuinfo still
shows

model name      : Intel(R) Pentium(R) M processor 1.60GHz
stepping        : 6
cpu MHz         : 224.799

(I would have expected MHz to be 1600)
Comment 3 Dave Jones 2006-02-16 00:47:12 EST
Is this still a problem in FC4, with the latest kernel ?
Comment 4 Matthew Miller 2006-07-10 19:09:58 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Jarod Wilson 2007-01-09 10:40:49 EST
Next rawhide build will use 20 and 80, which match up with the ondemand and conservative governor's 
scaling thresholds.

Note You need to log in before you can comment on or make changes to this bug.